Skip to main content
`Ctrl`+`K`

# MatLMVMSetHistorySize

Set the number of past iterates to be stored for the construction of the limited-memory quasi-Newton update.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetHistorySize(Mat B, PetscInt hist_size)

## Input Parameters

- B - A `MATLMVM` matrix

- hist_size - number of past iterates (default 5)

## Options Database Key

- -mat_lmvm_hist_size m - set number of past iterates

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMGetUpdateCount()`

## Level

beginner

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages